Bug 1012333 - Wrong error message during socket range validation
Wrong error message during socket range validation
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Installer (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity low
: ER5
: EAP 6.2.0
Assigned To: Francisco Canas
Petr Kremensky
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-26 05:56 EDT by Petr Kremensky
Modified: 2014-09-03 00:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:14:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Kremensky 2013-09-26 05:56:23 EDT
Description of problem:
 Found that error dialogues thrown by installer during port range validation contains wrong name of field. 
 
Version-Release number of selected component (if applicable):
 6.2.0.ER3

How reproducible:
 Always

Steps to Reproduce:
 1. Go to Socket Bindings screen, choose to configure custom port bindings, choose to configure ports for domain mode.
 2. Go to Socket Bindings (full-domain) screen.
 3. Enter 99999 as ajp Port Number

Actual results:
 Error message contains message: "Port numbert for txt-status-manager must be an integer within the range 1-65535."

Expected results:
 Error message contains message: "Port numbert for ajp must be an integer within the range 1-65535."

Additional info:
 On the same screen enter 99999 as txt-status-manager port number. Error message will be related to ajp.
 I didn't try all input fields on all socket binding screens so there may be more of this.
Comment 1 Francisco Canas 2013-10-03 10:34:41 EDT
I have double-checked the port names and their associated strings and corrected the ones that were incorrect including the ajp port as noted above.
Comment 2 Petr Kremensky 2013-10-07 08:10:07 EDT
I was able to find one more. The rest should be ok.
--- Socket Binding (ha-standalone)
management-native Port number shows txn-status-manager
Comment 3 Francisco Canas 2013-10-07 09:46:09 EDT
Thank you for noticing that! I've corrected the message for this port.

http://git.app.eng.bos.redhat.com/jbossas-installer.git/commit/?h=eap-6.2&id=02c31048e3e15ba79ff099fffb7568615515cf90
Comment 4 Petr Kremensky 2013-10-08 04:47:28 EDT
Verified on EAP 6.2.0.ER5 installer.

Note You need to log in before you can comment on or make changes to this bug.